Name:           sparkleshare
Version:        1.5.0
Release:        %mkrel 3
Summary:        Easy file sharing based on git repositories
Group:          Networking/File transfer
License:        GPLv3
URL:            http://www.sparkleshare.org/
Source0:        https://github.com/hbons/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

Patch0:         SparkleShare-1.5.0-move_to_webkit2.patch
Patch1:         SparkleShare-1.5.0-fix_build.patch

BuildRequires:  pkgconfig(mono)
BuildRequires:  pkgconfig(webkit2-sharp-4.0)
BuildRequires:  pkgconfig(gtk-sharp-3.0)
BuildRequires:  pkgconfig(notify-sharp-3.0)
BuildRequires:  pkgconfig(ayatana-appindicator-sharp-0.1)
BuildRequires:  gvfs-devel
BuildRequires:  desktop-file-utils
BuildRequires:  appstream-util
BuildRequires:  automake
BuildRequires:  autoconf
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  gettext
Requires:       git >= 1.7.12
Requires:       yelp

ExclusiveArch:  %{mono_arches}


#https://fedoraproject.org/wiki/Packaging:Mono#Empty_debuginfo
%global debug_package %{nil}


%description
Easy file sharing based on git repositories. A special folder is setup and
directories/files placed within are placed in a git-based version control
system and synchronized elsewhere.


%prep
%autosetup -p1 -n SparkleShare-%{version}

%build
NOCONFIGURE=1 ./autogen.sh
%configure
%make_build

%install
%make_install

sed -i '1!b;s/env bash/bash/' %{buildroot}%{_bindir}/%{name}
chmod 0644 legal/*.txt News.txt

desktop-file-validate %{buildroot}/%{_datadir}/applications/*.desktop

mkdir -p %{buildroot}%{_datarootdir}/appdata/
install -m 644 \
    %{_builddir}/SparkleShare-%{version}/SparkleShare/Linux/%{name}.appdata.xml \
    %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml

appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/appdata/%{name}.appdata.xml

%files
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}-invite-opener.desktop
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/gnome/scalable/apps/%{name}-symbolic.svg
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/status/*
%{_datadir}/icons/ubuntu-mono-dark/status/24/*
%{_datadir}/icons/ubuntu-mono-light/status/24/*
%doc legal/Authors.txt legal/Trademark.txt News.txt README.md
%license legal/License_for_SparkleShare.txt legal/License_for_SparkleLib.txt


%changelog
* Fri Oct 16 2020 luigiwalser <luigiwalser> 1.5.0-3.mga8
+ Revision: 1636396
- try building against ayatana-appindicator-sharp

* Sat Feb 15 2020 umeabot <umeabot> 1.5.0-2.mga8
+ Revision: 1523308
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Feb 25 2019 wally <wally> 1.5.0-1.mga7
+ Revision: 1370175
- new version 1.5.0 (sync with Fedora)

* Sun Sep 23 2018 umeabot <umeabot> 1.2.0-3.mga7
+ Revision: 1301127
- Mageia 7 Mass Rebuild

* Mon Apr 11 2016 daviddavid <daviddavid> 1.2.0-2.mga6
+ Revision: 1000468
- fix build with mono4 >= 4.2.3
- pass NOCONFIGURE=1 to autogen
+ tv <tv>
- sync BRs with FC

* Sun Apr 03 2016 tv <tv> 1.2.0-1.mga6
+ Revision: 997749
- new version (from FC)
- fix building with mono4
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Oct 26 2015 daviddavid <daviddavid> 1.1.0-6.mga6
+ Revision: 895497
- remove empty lang files to fix build with latest rpm
- disable debug package

* Mon Feb 09 2015 shlomif <shlomif> 1.1.0-5.mga5
+ Revision: 814252
- Move the icons from /gnome to /Adwaita.

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-4.mga5
+ Revision: 748099
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-3.mga5
+ Revision: 689266
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.0-2.mga4
+ Revision: 526615
- Mageia 4 Mass Rebuild

* Thu Jun 06 2013 dams <dams> 1.1.0-1.mga4
+ Revision: 438355
- fix %%files
- new version 1.1.0
- remove all about 'doc' as it's no longuer included in tarball
- clean specfile

* Mon Jan 14 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 382435
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 stormi <stormi> 1.0.0-1.mga3
+ Revision: 344386
- fix file list again
- disable nautilus plugin temporarily
- fix file list
- new version 1.0.0
+ agallou <agallou>
- change configure because of a user help bug
- updated spakleshare to 0.8.O

* Thu Jan 12 2012 agallou <agallou> 0.6.0-1.mga2
+ Revision: 195436
- updated spakleshare to 0.6.O
+ boklm <boklm>
- fix path of nautilus python dir (to allow backport on Mageia 1)

* Fri Sep 09 2011 colin <colin> 0.2.5-1.mga2
+ Revision: 141855
- Update to 0.2.5
- Tidy up spec
+ agallou <agallou>
- replace paths by macros
- remove %%clean
- remove %%post
- remove %%postun
- remove %%posttrans
- remove Buildroot definition
- remove changelog
- import sparkleshare
- Created package structure for sparkleshare.

